Bug 1121009 - [Nagios] - [RFE] - Auto discovery creates ctdb related nagios services though it is not configured.
Summary: [Nagios] - [RFE] - Auto discovery creates ctdb related nagios services thoug...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nagios-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1087818
TreeView+ depends on / blocked
 
Reported: 2014-07-18 06:54 UTC by RamaKasturi
Modified: 2018-08-14 11:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In Nagios, ctdb service is created by default for all the gluster nodes regardless of whether ctdb enabled on the RHS or not.
Clone Of:
Environment:
Last Closed: 2018-01-30 11:12:00 UTC


Attachments (Terms of Use)

Description RamaKasturi 2014-07-18 06:54:14 UTC
Description of problem:
Auto Discovery create ctdb related nagios service though it is not configured in nagios.

Version-Release number of selected component (if applicable):
gluster-nagios-addons-0.1.8-1.el6rhs.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install nagios on RHS nodes.
2. Now create a cluster and run discovery.py script.
3.

Actual results:
Auto discovery creates ctdb related nagios services though it is not configured.

Expected results:
Auto discovery should not create ctdb related nagios services if it is not configured.

Additional info:

Comment 1 Dusmant 2014-07-24 07:44:59 UTC
This should be documented, so that the customer does not get confused by seeing the ctdb related services in Nagios monitoring.

Though, there is not a clear way to figure out how to avoid this, but we have to find out a way to address this in 3.0.z

Comment 3 Nishanth Thomas 2014-09-22 11:37:50 UTC
In RHS, ctdb is not installed by default. It is installed and setup by the user on a need basis. So during the discovery, need to check whether ctdb is setup or not and make the decision based on that. This can be done by checking for clustering = yes
idmap backend = tdb2 parameters in the /etc/smb/smb.conf. These entries are added/removed by the gluster hooks(/var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh and var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh) while start/stop the meta volume

Comment 4 Ramesh N 2014-09-25 11:44:05 UTC
Moving out of RHS 3.0.2.

Comment 5 Sahina Bose 2018-01-30 11:12:00 UTC
Thank you for your report. However, this bug is being closed as it's logged against gluster-nagios monitoring for which no further new development is being undertaken.


Note You need to log in before you can comment on or make changes to this bug.